(set-logic QF_ALIA)
(set-info :source |
Translated from old SVC processor verification benchmarks.  Contact Clark
Barrett at barrett@cs.nyu.edu for more information.

This benchmark was automatically translated into SMT-LIB format from
CVC format using CVC Lite
|)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unsat)
(declare-fun INSTRISLOAD_S2M_INIT () Bool)
(declare-fun INSTRISSTORE_S2M_INIT () Bool)
(declare-fun EXTSTATE_S2_INIT () Int)
(declare-fun FLUSHSTATE_S2_INIT () Int)
(declare-fun CONFSTATE_S2_INIT () Int)
(declare-fun DEXTREAD_S2_INIT () Bool)
(declare-fun XFERCNT_S2_INIT () Int)
(declare-fun DCACHERW_S2M_INIT () Bool)
(declare-fun DCACHESEL_S2M_INIT () Bool)
(declare-fun DTAG1_RW1_S2_INIT () Bool)
(declare-fun DTAG1_SEL1_S2_INIT () Bool)
(declare-fun DTAGREAD_S2M_INIT () Bool)
(declare-fun DIRTY1_RW1_S2_INIT () Bool)
(declare-fun DIRTY1_SEL1_S2_INIT () Bool)
(declare-fun DIRTY1_DATA_INIT () Bool)
(declare-fun DIRTY1_CACHEDOUT_S2_INIT () Bool)
(declare-fun VALID1_DATA_INIT () Bool)
(declare-fun VALID1_CACHEDOUT_S2_INIT () Bool)
(declare-fun VALID1_RW1_S2_INIT () Bool)
(declare-fun VALID1_SEL1_S2_INIT () Bool)
(declare-fun VALID1_IN_S2_INIT () Bool)
(declare-fun DCACHEDATAVALID_S2_INIT () Bool)
(declare-fun MCREAD_S2_INIT () Bool)
(declare-fun EXTSTATE_S1_INIT () Int)
(declare-fun FLUSHSTATE_S1_INIT () Int)
(declare-fun DEXTREQ_S2_INIT () Bool)
(declare-fun CONFSTALL_S2M_INIT () Bool)
(declare-fun INSTRISSTORE_S1W_INIT () Bool)
(declare-fun INSTRISSTORE_S2W_INIT () Bool)
(declare-fun RESTARTED_S2_INIT () Bool)
(declare-fun MCREQ_S2_INIT () Bool)
(declare-fun SB_RW_S2_INIT () Bool)
(declare-fun SBWRITE_S2_INIT () Bool)
(declare-fun DELAYEDMCWRITE_S2_INIT () Bool)
(declare-fun DCACHEHIT1_S1W_INIT () Bool)
(declare-fun DIRTY1_IN_S2_INIT () Bool)
(declare-fun DCACHEDATAVALID_S1_INIT () Bool)
(declare-fun DCACHEMISS_S1W_INIT () Bool)
(declare-fun MCBUSY_S2_INIT () Bool)
(declare-fun REQWAITING_S2_INIT () Bool)
(declare-fun CCMEMREQ_S1_INIT () Bool)
(declare-fun MCREAD_S1_INIT () Bool)
(declare-fun DELAYEDMCWRITE_S1_INIT () Bool)
(declare-fun XFERCNT_S1_INIT () Int)
(declare-fun DRVMCDBDATA_S1_INIT () Bool)
(declare-fun CONFSTATE_S1_INIT () Int)
(declare-fun MCDBDATAVALID_S1_INIT () Bool)
(declare-fun MCDBDATAVALID_S2_INIT () Bool)
(declare-fun RESTARTED_S1_INIT () Bool)
(declare-fun SBWRITE_S1_INIT () Bool)
(declare-fun BWASLOAD_S1W_INIT () Bool)
(declare-fun DTAG1_ADDR_S2_INIT () Int)
(declare-fun VALID1_ADDR_S2_INIT () Int)
(declare-fun DTAG1_CACHEDOUT_S2_INIT () Int)
(declare-fun DTAG1_DATA_INIT () Int)
(declare-fun SB_DATA_INIT () Int)
(declare-fun SB_OUT_S2_INIT () Int)
(declare-fun DCACHE_ADDR_S2_INIT () Int)
(declare-fun DIRTY1_ADDR_S2_INIT () Int)
(declare-fun DCACHE_DATA_INIT () Int)
(declare-fun DCACHE_OUT_S2_INIT () Int)
(declare-fun SB_SEL_S2_INIT () Bool)
(declare-fun DELAYEDMCADDR_S1_INIT () Int)
(declare-fun DELAYEDMCADDR_S2_INIT () Int)
(declare-fun SB_IN_S1_INIT () Int)
(declare-fun SB_IN_S2_INIT () Int)
(declare-fun SBOUT_S1_INIT () Int)
(declare-fun SBOUT_S2_INIT () Int)
(declare-fun DRVMCDBDATA_S2_INIT () Bool)
(declare-fun MISSADDR_S1W_INIT () Int)
(declare-fun SBDELAYADDR_S2_INIT () Int)
(declare-fun REQWAITING_S1B_INIT () Bool)
(declare-fun SBDELAYADDR_S1_INIT () Int)
(declare-fun NO_VALUE () Int)
(declare-fun SB_ADDR_S2_INIT () Int)
(declare-fun DTAGDATA1_S1_INIT () Int)
(declare-fun MCADDR_S2_INIT () Int)
(declare-fun DCACHE_IN_S2_INIT () Int)
(declare-fun STOREDATA_S1W_INIT () Int)
(declare-fun MCDATA_S1_INIT () Int)
(declare-fun DMEM_INIT () (Array Int Int))
(declare-fun MCDBDATA_OUT_S2_INIT () Int)
(declare-fun STOREADDR_S1W_INIT () Int)
(declare-fun STOREADDR_S2M_INIT () Int)
(declare-fun DOLOAD_INIT () Bool)
(declare-fun DOSOMETHING_INIT () Bool)
(declare-fun STOREDATA_S2M_INIT () Int)
(declare-fun MEMADDR_S1M_INIT () Int)
(declare-fun STOREDATA_S1M_INIT () Int)
(declare-fun ARB_ADDR () Int)
(assert (let ((?v_0 (ite INSTRISLOAD_S2M_INIT false true)) (?v_1 (ite INSTRISSTORE_S2M_INIT false true)) (?v_2 (= EXTSTATE_S2_INIT 11)) (?v_3 (= FLUSHSTATE_S2_INIT 16)) (?v_4 (= CONFSTATE_S2_INIT 10)) (?v_101 (= XFERCNT_S2_INIT 25)) (?v_36 (ite DTAGREAD_S2M_INIT false true)) (?v_21 (ite DIRTY1_SEL1_S2_INIT false true)) (?v_18 (ite DIRTY1_DATA_INIT false true)) (?v_17 (ite VALID1_DATA_INIT false true)) (?v_22 (ite VALID1_SEL1_S2_INIT false true)) (?v_93 (ite MCREAD_S2_INIT false true)) (?v_59 (= EXTSTATE_S1_INIT 11)) (?v_82 (ite CONFSTALL_S2M_INIT false true)) (?v_81 (ite INSTRISSTORE_S1W_INIT false true)) (?v_94 (ite INSTRISSTORE_S2W_INIT false true)) (?v_11 (ite RESTARTED_S2_INIT false true)) (?v_46 (ite MCREQ_S2_INIT false true)) (?v_137 (ite SBWRITE_S2_INIT false true)) (?v_42 (ite DELAYEDMCWRITE_S2_INIT false true)) (?v_78 (ite DCACHEMISS_S1W_INIT false true)) (?v_121 (ite MCBUSY_S2_INIT false true)) (?v_41 (ite MCREAD_S1_INIT false true)) (?v_38 (= CONFSTATE_S1_INIT 10)) (?v_90 (ite RESTARTED_S1_INIT false true)) (?v_43 (ite SBWRITE_S1_INIT false true)) (?v_13 (= EXTSTATE_S2_INIT 13)) (?v_14 (= EXTSTATE_S2_INIT 15)) (?v_15 (= EXTSTATE_S2_INIT 17)) (?v_5 (= EXTSTATE_S2_INIT 18)) (?v_9 (= EXTSTATE_S2_INIT 22)) (?v_6 (= EXTSTATE_S2_INIT 19)) (?v_10 (= EXTSTATE_S2_INIT 23)) (?v_7 (= FLUSHSTATE_S2_INIT 21)) (?v_8 (= FLUSHSTATE_S2_INIT 27)) (?v_19 (= FLUSHSTATE_S2_INIT 24)) (?v_29 (= FLUSHSTATE_S2_INIT 28)) (?v_28 (= FLUSHSTATE_S2_INIT 29))) (let ((?v_31 (ite ?v_29 true ?v_28))) (let ((?v_12 (ite ?v_19 true ?v_31)) (?v_49 (= CONFSTATE_S2_INIT 12)) (?v_53 (= CONFSTATE_S2_INIT 14)) (?v_100 (ite ?v_7 true ?v_8)) (?v_16 (ite ?v_9 true ?v_10)) (?v_25 (ite ?v_7 false true))) (let ((?v_114 (ite ?v_6 true ?v_16)) (?v_142 (ite DTAG1_RW1_S2_INIT false true)) (?v_20 (ite ?v_19 true DEXTREAD_S2_INIT)) (?v_23 (= EXTSTATE_S1_INIT 17)) (?v_24 (ite ?v_6 false true)) (?v_26 (= EXTSTATE_S1_INIT 19)) (?v_83 (= EXTSTATE_S1_INIT 22))) (let ((?v_27 (ite ?v_83 true DCACHERW_S2M_INIT)) (?v_106 (ite ?v_28 true ?v_29))) (let ((?v_30 (ite (ite ?v_25 VALID1_IN_S2_INIT false) true ?v_106)) (?v_32 (ite ?v_31 true SBWRITE_S1_INIT)) (?v_34 (ite VALID1_IN_S2_INIT DCACHEDATAVALID_S1_INIT false))) (let ((?v_33 (ite DTAGREAD_S2M_INIT true ?v_34)) (?v_35 (ite ?v_34 false true)) (?v_58 (ite ?v_4 false true)) (?v_37 (ite ?v_14 true DEXTREAD_S2_INIT))) (let ((?v_39 (ite VALID1_RW1_S2_INIT true ?v_37)) (?v_40 (ite ?v_36 false true)) (?v_44 (ite DRVMCDBDATA_S1_INIT true ?v_28)) (?v_45 (ite REQWAITING_S2_INIT true CCMEMREQ_S1_INIT)) (?v_47 (ite MCREQ_S2_INIT MCREAD_S1_INIT MCDBDATAVALID_S1_INIT)) (?v_48 (ite (ite (ite REQWAITING_S1B_INIT false true) MCREQ_S2_INIT false) true REQWAITING_S1B_INIT)) (?v_139 (= EXTSTATE_S1_INIT 18)) (?v_63 (ite INSTRISSTORE_S1W_INIT ?v_2 false)) (?v_54 (ite ?v_10 INSTRISSTORE_S1W_INIT false))) (let ((?v_50 (ite ?v_49 true (ite ?v_13 true ?v_54))) (?v_51 (= DCACHE_IN_S2_INIT STOREDATA_S1W_INIT)) (?v_52 (= DCACHE_IN_S2_INIT MCDATA_S1_INIT)) (?v_55 (ite ?v_53 true (ite ?v_14 true SBWRITE_S2_INIT))) (?v_64 (ite ?v_2 ?v_4 false)) (?v_56 (ite ?v_49 true ?v_13)) (?v_57 (ite (ite (ite VALID1_IN_S2_INIT true ?v_9) DCACHEDATAVALID_S1_INIT false) true ?v_54))) (let ((?v_75 (ite (ite DCACHEHIT1_S1W_INIT (ite (ite INSTRISSTORE_S1W_INIT ?v_64 false) true ?v_56) false) true ?v_57)) (?v_84 (ite ?v_49 false true)) (?v_76 (ite (ite DCACHEHIT1_S1W_INIT ?v_56 false) true ?v_57)) (?v_103 (ite ?v_2 false true))) (let ((?v_60 (ite ?v_58 true (ite ?v_103 true DCACHEMISS_S1W_INIT))) (?v_97 (ite ?v_59 false true))) (let ((?v_89 (ite ?v_58 true (ite ?v_97 true DCACHEMISS_S1W_INIT)))) (let ((?v_92 (ite ?v_89 false true))) (let ((?v_91 (ite ?v_92 false BWASLOAD_S1W_INIT)) (?v_61 (ite MCREAD_S2_INIT MCREQ_S2_INIT false)) (?v_62 (= (select DMEM_INIT MCADDR_S2_INIT) MCDBDATA_OUT_S2_INIT)) (?v_66 (ite ?v_58 true ?v_13))) (let ((?v_70 (ite ?v_63 true ?v_66)) (?v_67 (= DTAG1_ADDR_S2_INIT STOREADDR_S1W_INIT)) (?v_68 (= DTAG1_ADDR_S2_INIT MISSADDR_S1W_INIT))) (let ((?v_65 (ite ?v_70 ?v_67 ?v_68)) (?v_69 (ite ?v_66 ?v_67 ?v_68)) (?v_71 (= DIRTY1_ADDR_S2_INIT STOREADDR_S1W_INIT)) (?v_72 (= DIRTY1_ADDR_S2_INIT MISSADDR_S1W_INIT)) (?v_73 (ite ?v_4 ?v_2 false))) (let ((?v_74 (ite ?v_66 ?v_71 ?v_72)) (?v_77 (ite DCACHERW_S2M_INIT false true)) (?v_79 (ite DCACHEDATAVALID_S1_INIT ?v_28 ?v_29)) (?v_80 (ite MCREQ_S2_INIT ?v_29 ?v_19)) (?v_118 (ite ?v_81 ?v_82 true)) (?v_85 (ite ?v_53 true (ite (= EXTSTATE_S1_INIT 15) true SBWRITE_S2_INIT))) (?v_86 (ite ?v_49 true (= EXTSTATE_S1_INIT 13))) (?v_87 (ite (ite (ite VALID1_IN_S2_INIT true ?v_83) DCACHEDATAVALID_S1_INIT false) true (ite (= EXTSTATE_S1_INIT 23) INSTRISSTORE_S1W_INIT false)))) (let ((?v_95 (ite (ite DCACHEHIT1_S1W_INIT (ite (ite INSTRISSTORE_S1W_INIT (ite ?v_59 ?v_4 false) false) true ?v_86) false) true ?v_87)) (?v_88 (ite ?v_21 false true)) (?v_96 (ite (ite DCACHEHIT1_S1W_INIT ?v_86 false) true ?v_87)) (?v_98 (ite BWASLOAD_S1W_INIT DCACHEDATAVALID_S1_INIT false))) (let ((?v_99 (ite ?v_98 true ?v_97)) (?v_150 (ite SB_RW_S2_INIT false true)) (?v_115 (ite INSTRISLOAD_S2M_INIT true INSTRISSTORE_S2M_INIT)) (?v_109 (= DTAG1_ADDR_S2_INIT STOREADDR_S2M_INIT)) (?v_105 (ite ?v_101 false true))) (let ((?v_102 (ite BWASLOAD_S1W_INIT (ite (ite (ite ?v_6 (ite ?v_105 true ?v_100) false) true ?v_9) DCACHEDATAVALID_S1_INIT false) false))) (let ((?v_104 (ite ?v_102 true ?v_103)) (?v_117 (ite INSTRISLOAD_S2M_INIT INSTRISSTORE_S1W_INIT false)) (?v_107 (= STOREADDR_S1W_INIT STOREADDR_S2M_INIT)) (?v_116 (ite ?v_103 (ite ?v_13 false true) false)) (?v_108 (ite INSTRISSTORE_S2M_INIT ?v_103 false)) (?v_119 (= XFERCNT_S2_INIT 20))) (let ((?v_111 (ite ?v_9 true (ite ?v_10 true (ite ?v_6 (ite ?v_25 ?v_119 false) false))))) (let ((?v_110 (ite INSTRISSTORE_S2M_INIT ?v_111 false)) (?v_112 (= DTAG1_ADDR_S2_INIT DTAG1_DATA_INIT)) (?v_113 (= DTAG1_DATA_INIT STOREADDR_S2M_INIT)) (?v_164 (ite DOLOAD_INIT false true)) (?v_125 (ite (ite VALID1_SEL1_S2_INIT VALID1_RW1_S2_INIT false) VALID1_CACHEDOUT_S2_INIT false)) (?v_126 (= DTAG1_ADDR_S2_INIT DTAG1_CACHEDOUT_S2_INIT))) (let ((?v_120 (ite (ite (ite ?v_125 false true) true (ite ?v_126 false true)) DTAGREAD_S2M_INIT false))) (let ((?v_130 (ite ?v_4 (ite (ite CONFSTALL_S2M_INIT (ite (ite ?v_120 false true) (ite INSTRISLOAD_S2M_INIT ?v_2 false) false) false) 12 10) (ite ?v_49 (ite ?v_13 10 14) 10)))) (let ((?v_129 (= ?v_130 10)) (?v_136 (ite ?v_121 DEXTREQ_S2_INIT false))) (let ((?v_124 (ite ?v_2 (ite (ite ?v_120 INSTRISSTORE_S2W_INIT false) 13 (ite (ite ?v_120 ?v_94 false) 15 11)) (ite ?v_13 15 (ite ?v_14 (ite (ite ?v_3 false true) 15 17) (ite ?v_15 (ite ?v_136 18 17) (ite ?v_5 19 (ite ?v_6 (ite (ite ?v_119 ?v_25 false) 22 19) (ite ?v_9 23 11))))))))) (let ((?v_128 (= ?v_124 11))) (let ((?v_122 (ite ?v_128 false true))) (let ((?v_165 (ite (ite ?v_129 false true) true (ite ?v_122 true ?v_120))) (?v_166 (ite (ite (ite INSTRISLOAD_S2M_INIT (ite ?v_6 DCACHEDATAVALID_S2_INIT false) false) true (ite RESTARTED_S2_INIT ?v_122 false)) false true)) (?v_127 (ite DOLOAD_INIT DOSOMETHING_INIT false)) (?v_123 (ite ?v_164 DOSOMETHING_INIT false))) (let ((?v_162 (ite (ite ?v_165 (ite ?v_166 true (ite ?v_127 true ?v_123)) false) false true)) (?v_176 (ite (ite ?v_165 ?v_166 false) false true)) (?v_131 (= ?v_124 19))) (let ((?v_134 (ite ?v_131 false true)) (?v_132 (= ?v_124 22))) (let ((?v_167 (ite ?v_134 (ite ?v_132 false true) false)) (?v_168 (ite (ite INSTRISSTORE_S2M_INIT DTAGREAD_S2M_INIT false) (ite DTAGREAD_S2M_INIT (ite ?v_125 ?v_126 false) false) DCACHEHIT1_S1W_INIT)) (?v_153 (ite ?v_0 true ?v_56))) (let ((?v_133 (ite ?v_153 (ite INSTRISSTORE_S2M_INIT (ite ?v_10 false true) false) INSTRISSTORE_S1W_INIT)) (?v_169 (ite ?v_128 ?v_129 false)) (?v_156 (= ?v_130 12)) (?v_157 (= ?v_124 13))) (let ((?v_170 (ite ?v_156 true ?v_157)) (?v_135 (ite ?v_131 true ?v_132)) (?v_158 (ite (= ?v_124 23) ?v_133 false))) (let ((?v_171 (ite (ite ?v_135 DCACHEDATAVALID_S2_INIT false) true ?v_158)) (?v_138 (ite ?v_3 (ite (ite ?v_14 (ite (ite (ite DIRTY1_SEL1_S2_INIT DIRTY1_RW1_S2_INIT false) DIRTY1_CACHEDOUT_S2_INIT false) ?v_125 false) false) 21 16) (ite ?v_7 (ite ?v_119 27 21) (ite ?v_8 (ite ?v_10 24 27) (ite ?v_19 (ite ?v_136 28 24) (ite ?v_29 (ite DCACHEDATAVALID_S2_INIT 29 28) (ite ?v_28 (ite ?v_119 16 29) 16)))))))) (let ((?v_143 (= ?v_138 27)) (?v_144 (ite ?v_137 false true)) (?v_145 (= ?v_124 17)) (?v_148 (= ?v_138 29)) (?v_141 (ite DELAYEDMCWRITE_S2_INIT (store DMEM_INIT DELAYEDMCADDR_S2_INIT (ite DRVMCDBDATA_S2_INIT SBOUT_S2_INIT NO_VALUE)) DMEM_INIT)) (?v_140 (= FLUSHSTATE_S1_INIT 28))) (let ((?v_146 (ite (ite (ite ?v_28 true ?v_148) (ite MCREQ_S2_INIT ?v_93 false) false) (store ?v_141 (ite (ite ?v_139 true ?v_140) (ite ?v_140 DTAGDATA1_S1_INIT MISSADDR_S1W_INIT) NO_VALUE) (ite (ite SB_SEL_S2_INIT SB_RW_S2_INIT false) SB_OUT_S2_INIT NO_VALUE)) ?v_141)) (?v_149 (ite ?v_142 DTAG1_ADDR_S2_INIT DTAG1_DATA_INIT)) (?v_147 (ite ?v_7 (ite (ite DCACHESEL_S2M_INIT DCACHERW_S2M_INIT false) DCACHE_OUT_S2_INIT NO_VALUE) NO_VALUE)) (?v_151 (ite ?v_15 (ite (ite DTAG1_SEL1_S2_INIT DTAG1_RW1_S2_INIT false) DTAG1_CACHEDOUT_S2_INIT NO_VALUE) DTAGDATA1_S1_INIT)) (?v_152 (ite ?v_150 SB_IN_S2_INIT SB_DATA_INIT))) (let ((?v_154 (ite (ite ?v_143 (ite ?v_144 ?v_145 false) false) (store ?v_146 ?v_149 ?v_147) (ite (ite ?v_143 (ite ?v_144 (ite ?v_145 false true) false) false) (store ?v_146 ?v_151 ?v_147) (ite (ite (ite (= ?v_138 16) false true) (ite (ite (= ?v_138 21) false true) (ite ?v_148 false true) false) false) (ite ?v_145 (store ?v_146 ?v_149 ?v_152) (store ?v_146 ?v_151 ?v_152)) ?v_146)))) (?v_160 (ite ?v_153 STOREADDR_S2M_INIT STOREADDR_S1W_INIT)) (?v_159 (ite ?v_153 STOREDATA_S2M_INIT STOREDATA_S1W_INIT))) (let ((?v_172 (ite ?v_133 (store ?v_154 ?v_160 ?v_159) ?v_154)) (?v_173 (ite ?v_156 true (ite ?v_157 true ?v_158))) (?v_174 (ite DCACHEDATAVALID_S2_INIT MCDBDATA_OUT_S2_INIT MCDATA_S1_INIT)) (?v_161 (ite (ite (ite (ite DIRTY1_RW1_S2_INIT false true) DIRTY1_IN_S2_INIT DIRTY1_DATA_INIT) (ite (ite (ite VALID1_RW1_S2_INIT false true) VALID1_IN_S2_INIT VALID1_DATA_INIT) (ite ?v_143 false true) false) false) (store ?v_154 ?v_149 (ite ?v_77 DCACHE_IN_S2_INIT DCACHE_DATA_INIT)) ?v_154))) (let ((?v_175 (ite ?v_133 (store ?v_161 ?v_160 ?v_159) ?v_161))) (let ((?v_177 (ite (ite (ite (ite (ite (ite ?v_168 (ite (ite ?v_133 ?v_169 false) true ?v_170) false) true ?v_171) false true) false true) ?v_134 false) (ite ?v_135 ?v_172 (store ?v_154 ?v_149 (ite (ite (ite ?v_133 ?v_128 false) true ?v_173) ?v_159 ?v_174))) ?v_175))) (let ((?v_178 (ite (ite (ite ?v_176 false INSTRISSTORE_S2M_INIT) ?v_167 false) (store ?v_177 (ite ?v_176 MEMADDR_S1M_INIT STOREADDR_S2M_INIT) (ite ?v_176 STOREDATA_S1M_INIT STOREDATA_S2M_INIT)) ?v_177)) (?v_155 (ite ?v_127 false true))) (let ((?v_163 (ite (ite (ite (ite (ite (ite ?v_168 (ite (ite ?v_133 (ite ?v_155 ?v_169 false) false) true ?v_170) false) true ?v_171) false true) false true) ?v_134 false) (ite ?v_135 ?v_172 (store ?v_154 ?v_149 (ite (ite (ite ?v_133 (ite ?v_155 ?v_128 false) false) true ?v_173) ?v_159 ?v_174))) ?v_175))) (not (ite (ite (ite ?v_0 (ite ?v_1 (ite ?v_2 (ite ?v_3 (ite ?v_4 (ite (ite DEXTREAD_S2_INIT false true) (ite ?v_101 (ite DCACHERW_S2M_INIT (ite (ite DCACHESEL_S2M_INIT false true) (ite DTAG1_RW1_S2_INIT (ite (ite DTAG1_SEL1_S2_INIT false true) (ite ?v_36 (ite DIRTY1_RW1_S2_INIT (ite ?v_21 (ite ?v_18 (ite (ite DIRTY1_CACHEDOUT_S2_INIT false true) (ite ?v_17 (ite (ite VALID1_CACHEDOUT_S2_INIT false true) (ite VALID1_RW1_S2_INIT (ite ?v_22 (ite (ite VALID1_IN_S2_INIT false true) (ite (ite DCACHEDATAVALID_S2_INIT false true) (ite ?v_93 (ite ?v_59 (ite (= FLUSHSTATE_S1_INIT 16) (ite (ite DEXTREQ_S2_INIT false true) (ite ?v_82 (ite ?v_81 (ite ?v_94 (ite ?v_11 (ite ?v_46 (ite SB_RW_S2_INIT (ite ?v_137 (ite ?v_42 (ite (ite DCACHEHIT1_S1W_INIT false true) (ite DIRTY1_IN_S2_INIT (ite (ite DCACHEDATAVALID_S1_INIT false true) (ite ?v_78 (ite ?v_121 (ite (ite REQWAITING_S2_INIT false true) (ite (ite CCMEMREQ_S1_INIT false true) (ite ?v_41 (ite (ite DELAYEDMCWRITE_S1_INIT false true) (ite (= XFERCNT_S1_INIT 25) (ite (ite DRVMCDBDATA_S1_INIT false true) (ite ?v_38 (ite (ite MCDBDATAVALID_S1_INIT false true) (ite (ite MCDBDATAVALID_S2_INIT false true) (ite ?v_90 (ite ?v_43 (ite BWASLOAD_S1W_INIT false true) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) true (ite (ite ?v_0 true ?v_1) (ite (ite ?v_2 true (ite ?v_13 true (ite ?v_14 true (ite ?v_15 true (ite ?v_5 true (ite ?v_9 true (ite ?v_6 true ?v_10))))))) (ite (ite ?v_3 true (ite ?v_7 true (ite ?v_8 true ?v_12))) (ite (ite ?v_4 true (ite ?v_49 true ?v_53)) (ite (ite (ite ?v_5 true ?v_6) (ite ?v_3 true ?v_100) true) (ite (ite ?v_16 (ite ?v_3 true ?v_8) true) (ite (ite ?v_2 (ite ?v_11 (ite ?v_3 true (ite ?v_25 true ?v_12)) false) true) (ite (ite ?v_12 (ite ?v_2 true (ite ?v_13 true ?v_14)) true) (ite (ite ?v_8 (ite ?v_15 true (ite ?v_5 true ?v_114)) true) (ite (ite ?v_7 (ite ?v_15 true (ite ?v_5 true (ite ?v_6 true ?v_9))) true) (ite (= DTAG1_ADDR_S2_INIT VALID1_ADDR_S2_INIT) (ite (ite VALID1_CACHEDOUT_S2_INIT VALID1_DATA_INIT ?v_17) (ite (= FLUSHSTATE_S1_INIT FLUSHSTATE_S2_INIT) (ite (ite DIRTY1_CACHEDOUT_S2_INIT DIRTY1_DATA_INIT ?v_18) (ite (= DTAG1_CACHEDOUT_S2_INIT DTAG1_DATA_INIT) (ite (ite VALID1_RW1_S2_INIT DTAG1_RW1_S2_INIT ?v_142) (ite (= SB_DATA_INIT SB_OUT_S2_INIT) (ite (= DCACHE_ADDR_S2_INIT DIRTY1_ADDR_S2_INIT) (ite (ite DEXTREQ_S2_INIT ?v_20 (ite ?v_20 false true)) (ite (ite DCACHESEL_S2M_INIT DIRTY1_SEL1_S2_INIT ?v_21) (ite (ite DTAG1_SEL1_S2_INIT VALID1_SEL1_S2_INIT ?v_22) (ite (= EXTSTATE_S1_INIT EXTSTATE_S2_INIT) (ite (ite DEXTREAD_S2_INIT ?v_23 (ite ?v_23 false true)) (ite (= DCACHE_DATA_INIT DCACHE_OUT_S2_INIT) (ite (ite DIRTY1_IN_S2_INIT ?v_24 (ite ?v_24 false true)) (ite (ite SBWRITE_S2_INIT ?v_7 ?v_25) (ite (ite VALID1_IN_S2_INIT ?v_26 (ite ?v_26 false true)) (ite (ite DIRTY1_RW1_S2_INIT ?v_27 (ite ?v_27 false true)) (ite (ite DCACHEDATAVALID_S2_INIT ?v_30 (ite ?v_30 false true)) (ite (ite SB_SEL_S2_INIT ?v_32 (ite ?v_32 false true)) (ite (ite VALID1_SEL1_S2_INIT ?v_33 (ite ?v_33 false true)) (ite (ite DTAG1_RW1_S2_INIT ?v_35 (ite ?v_35 false true)) (ite (ite (ite (ite (ite ?v_58 VALID1_RW1_S2_INIT false) true ?v_37) DTAGREAD_S2M_INIT ?v_36) true (ite ?v_39 DTAGREAD_S2M_INIT ?v_36)) (ite (ite (ite (ite (ite (ite (ite ?v_38 false true) VALID1_RW1_S2_INIT false) true ?v_37) false true) ?v_36 ?v_40) true (ite (ite ?v_39 false true) ?v_36 ?v_40)) (ite (ite MCREAD_S2_INIT MCREAD_S1_INIT ?v_41) (ite (ite DELAYEDMCWRITE_S1_INIT DELAYEDMCWRITE_S2_INIT ?v_42) (ite (= XFERCNT_S1_INIT XFERCNT_S2_INIT) (ite (= DELAYEDMCADDR_S1_INIT DELAYEDMCADDR_S2_INIT) (ite (= SB_IN_S1_INIT SB_IN_S2_INIT) (ite (= SBOUT_S1_INIT SBOUT_S2_INIT) (ite (ite RESTARTED_S1_INIT RESTARTED_S2_INIT ?v_11) (ite (= CONFSTATE_S1_INIT CONFSTATE_S2_INIT) (ite (ite SB_RW_S2_INIT ?v_43 (ite ?v_43 false true)) (ite (ite DRVMCDBDATA_S2_INIT ?v_44 (ite ?v_44 false true)) (ite (ite MCBUSY_S2_INIT ?v_45 (ite ?v_45 false true)) (ite (ite CCMEMREQ_S1_INIT MCREQ_S2_INIT ?v_46) (ite (= MISSADDR_S1W_INIT SBDELAYADDR_S2_INIT) (ite (ite MCDBDATAVALID_S2_INIT ?v_47 (ite ?v_47 false true)) (ite (ite REQWAITING_S2_INIT ?v_48 (ite ?v_48 false true)) (ite (= (ite SBWRITE_S1_INIT SBDELAYADDR_S1_INIT NO_VALUE) SB_ADDR_S2_INIT) (ite (= (ite (ite ?v_139 true ?v_29) (ite ?v_29 DTAGDATA1_S1_INIT MISSADDR_S1W_INIT) NO_VALUE) MCADDR_S2_INIT) (ite (ite (ite (ite ?v_63 true ?v_50) ?v_51 ?v_52) true (ite ?v_50 ?v_51 ?v_52)) (ite (ite (ite (ite ?v_55 true ?v_75) DIRTY1_SEL1_S2_INIT ?v_21) true (ite (ite (ite (ite ?v_84 ?v_2 false) true ?v_55) true ?v_76) DIRTY1_SEL1_S2_INIT ?v_21)) (ite (ite (ite (ite (ite (ite ?v_60 ?v_11 false) false true) false BWASLOAD_S1W_INIT) INSTRISLOAD_S2M_INIT ?v_0) true (ite (ite ?v_91 INSTRISLOAD_S2M_INIT ?v_0) true (ite (ite (ite ?v_60 false true) true BWASLOAD_S1W_INIT) INSTRISLOAD_S2M_INIT ?v_0))) (ite (ite (ite ?v_61 ?v_62 false) true (ite ?v_61 ?v_62 true)) (ite (ite ?v_65 true (ite (ite ?v_64 false ?v_65) true (ite (ite ?v_64 true ?v_65) true (ite (ite ?v_64 false ?v_69) true (ite ?v_64 true ?v_69))))) (ite (ite (ite ?v_70 ?v_71 ?v_72) true (ite (ite ?v_73 false ?v_74) true (ite ?v_73 true ?v_74))) (ite (ite ?v_2 true (ite ?v_10 true (ite ?v_6 true (ite ?v_9 true (ite (ite MCREQ_S2_INIT ?v_5 ?v_15) true (ite ?v_15 true (ite ?v_14 true (ite (ite DCACHEMISS_S1W_INIT ?v_13 ?v_2) true (ite DCACHEMISS_S1W_INIT ?v_14 ?v_2))))))))) (ite (ite (ite (ite ?v_75 false true) DCACHERW_S2M_INIT ?v_77) true (ite (ite ?v_76 false true) DCACHERW_S2M_INIT ?v_77)) (ite (ite ?v_4 true (ite ?v_53 true (ite (ite ?v_78 BWASLOAD_S1W_INIT false) ?v_49 ?v_4))) (ite (ite DRVMCDBDATA_S1_INIT DCACHEDATAVALID_S1_INIT true) (ite (ite (ite SBWRITE_S1_INIT ?v_7 (ite DRVMCDBDATA_S1_INIT ?v_28 ?v_3)) true (ite (ite SBWRITE_S1_INIT ?v_8 ?v_3) true (ite (ite SBWRITE_S1_INIT ?v_7 ?v_79) true (ite (ite SBWRITE_S1_INIT ?v_8 ?v_79) true (ite (ite SBWRITE_S1_INIT ?v_7 ?v_80) true (ite (ite SBWRITE_S1_INIT ?v_8 ?v_80) true (ite (ite SBWRITE_S1_INIT ?v_7 ?v_8) true (ite ?v_8 true (ite (ite SBWRITE_S1_INIT ?v_7 ?v_19) true (ite (ite SBWRITE_S1_INIT ?v_8 ?v_19) true (ite ?v_3 true ?v_7))))))))))) (ite ?v_118 (ite (ite (ite (ite (ite ?v_85 true ?v_95) false true) ?v_21 ?v_88) true (ite (ite (ite (ite (ite ?v_84 ?v_59 false) true ?v_85) true ?v_96) false true) ?v_21 ?v_88)) (ite (ite (ite (ite (ite (ite (ite ?v_89 ?v_90 false) false true) false BWASLOAD_S1W_INIT) false true) (ite (ite ?v_91 false true) (ite (ite ?v_92 true BWASLOAD_S1W_INIT) false true) false) false) ?v_0 true) (ite (ite (ite (ite MCREQ_S2_INIT MCREQ_S2_INIT false) false true) ?v_93 true) (ite (ite (ite (ite (ite ?v_92 INSTRISSTORE_S1W_INIT false) false true) (ite (ite (ite ?v_89 ?v_11 false) false true) (ite ?v_92 (ite (ite ?v_92 INSTRISSTORE_S1W_INIT true) false true) false) false) false) ?v_94 true) (ite (ite (ite ?v_95 ?v_96 false) ?v_77 true) (ite (ite ?v_90 true (ite (ite RESTARTED_S1_INIT ?v_97 (ite ?v_97 false true)) true (ite (ite RESTARTED_S1_INIT ?v_98 (ite ?v_98 false true)) true (ite RESTARTED_S1_INIT ?v_99 (ite ?v_99 false true))))) (ite (ite MCREQ_S2_INIT (ite ?v_29 true ?v_5) true) (ite (ite MCREAD_S2_INIT ?v_5 (ite ?v_5 false true)) (ite (ite ?v_150 ?v_100 true) (ite (ite (ite ?v_115 (ite ?v_2 (ite ?v_4 ?v_78 false) false) false) ?v_109 true) (ite (ite (ite RESTARTED_S1_INIT ?v_102 (ite ?v_102 false true)) true (ite RESTARTED_S1_INIT ?v_104 (ite ?v_104 false true))) (ite (ite ?v_117 INSTRISSTORE_S2W_INIT true) (ite (ite (ite INSTRISLOAD_S2M_INIT (ite INSTRISSTORE_S1W_INIT (ite ?v_2 ?v_107 false) false) false) (ite CONFSTALL_S2M_INIT true ?v_49) true) (ite (ite (ite INSTRISLOAD_S2M_INIT ?v_116 false) ?v_81 true) (ite (ite ?v_105 (ite ?v_6 true (ite ?v_7 true ?v_106)) true) (ite (ite (ite ?v_105 ?v_25 false) DCACHEDATAVALID_S1_INIT true) (ite (ite ?v_108 (ite INSTRISSTORE_S1W_INIT ?v_107 false) true) (ite (ite ?v_110 ?v_112 true) (ite (ite (ite INSTRISSTORE_S2M_INIT ?v_16 false) ?v_113 true) (ite (ite ?v_108 ?v_11 true) (ite (ite (ite ?v_6 (ite ?v_25 INSTRISSTORE_S2M_INIT false) false) ?v_109 true) (ite (ite ?v_110 VALID1_DATA_INIT true) (ite (ite (ite ?v_2 INSTRISSTORE_S2M_INIT false) ?v_78 true) (ite (ite (ite INSTRISLOAD_S2M_INIT ?v_111 false) ?v_112 true) (ite (ite (ite INSTRISLOAD_S2M_INIT ?v_16 false) ?v_113 true) (ite (ite (ite ?v_14 true (ite ?v_15 true (ite ?v_5 true (ite ?v_13 true ?v_7)))) ?v_11 true) (ite (ite (ite ?v_6 (ite ?v_25 INSTRISLOAD_S2M_INIT false) false) ?v_109 true) (ite (ite (ite INSTRISLOAD_S2M_INIT ?v_114 false) (= MISSADDR_S1W_INIT STOREADDR_S2M_INIT) true) (ite (ite ?v_16 VALID1_DATA_INIT true) (ite (ite (ite ?v_115 ?v_2 false) DTAGREAD_S2M_INIT true) (ite (ite ?v_116 ?v_4 true) (ite (ite (ite ?v_49 ?v_2 false) (ite ?v_112 VALID1_DATA_INIT false) true) (ite (ite (ite ?v_2 (ite CONFSTALL_S2M_INIT ?v_117 false) false) (ite ?v_109 (ite VALID1_DATA_INIT ?v_107 false) false) true) (ite ?v_118 (ite (ite (ite ?v_2 ?v_117 false) ?v_109 true) (ite (ite ?v_58 ?v_107 true) (ite (ite ?v_63 (= DTAG1_DATA_INIT STOREADDR_S1W_INIT) true) (ite ?v_101 true (ite (= XFERCNT_S2_INIT 26) true ?v_119)) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false) false)) (= (select (ite (ite (ite ?v_162 ?v_123 INSTRISSTORE_S2M_INIT) ?v_167 false) (store ?v_163 (ite ?v_162 MEMADDR_S1M_INIT STOREADDR_S2M_INIT) (ite ?v_162 STOREDATA_S1M_INIT STOREDATA_S2M_INIT)) ?v_163) ARB_ADDR) (select (ite (ite (ite DOSOMETHING_INIT ?v_164 false) ?v_162 false) (store ?v_178 MEMADDR_S1M_INIT STOREDATA_S1M_INIT) ?v_178) ARB_ADDR)) true)))))))))))))))))))))))))))))))))))))))))))))))
(check-sat)
(exit)
